# Generated by Django 3.1.6 on 2021-02-07 08:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('address', models.TextField(verbose_name='Address')),
                ('token_signature', models.TextField(help_text='Using for authenticate machine', verbose_name='Token signature')),
                ('hook_url', models.URLField(blank=True, help_text='URL for send notification about product ends', verbose_name='URL for send notification')),
            ],
            options={
                'verbose_name': 'Machine',
                'verbose_name_plural': 'Machines',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Product',
                'verbose_name_plural': 'Products',
            },
        ),
        migrations.CreateModel(
            name='ProductOutput',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('machine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='product_outputs', to='machine.machine', verbose_name='Machine')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='machine_outputs', to='machine.product', verbose_name='Product')),
            ],
            options={
                'verbose_name': 'Product output',
                'verbose_name_plural': 'Product outputs',
            },
        ),
        migrations.CreateModel(
            name='ProductInput',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('machine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='product_inputs', to='machine.machine', verbose_name='Machine')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='machine_inputs', to='machine.product', verbose_name='Product')),
            ],
            options={
                'verbose_name': 'Product input',
                'verbose_name_plural': 'Product inputs',
            },
        ),
        migrations.CreateModel(
            name='MachineState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('current_qty', models.IntegerField(default=0, verbose_name='Current quantity')),
                ('lower_limit_of_qty', models.IntegerField(default=0, help_text='Quantity for send notification about product ends', verbose_name='Lower limit of quantity')),
                ('machine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='states', to='machine.machine', verbose_name='Machine')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='machine_input', to='machine.product', verbose_name='Product')),
            ],
            options={
                'verbose_name': 'Machine state',
                'verbose_name_plural': 'Machines state',
                'unique_together': {('machine', 'product')},
            },
        ),
    ]
